 $(document).ready(function() {

  var date = new Date();

  var d = date.getDate();

  var m = date.getMonth();

  var y = date.getFullYear();


  var calendar = $('#calendar').fullCalendar({

   editable: true,

   header: {

    left: 'prev,next,today',

    center: 'patient',

    right: 'month,agendaWeek,agendaDay'

   },


   events: "appointment-feed.php",


    eventRender: function(event, element, view) {

        if (event.allDay === 'true') {

        event.allDay = true;

        } else {

        event.allDay = false;

        }

   },

   selectable: true,

   selectHelper: true,

    select: function(start, end, allDay) {

        $("#dialog-form").dialog({ modal: true, patient: event.paciente, width:450});


   calendar.fullCalendar('renderEvent',
   {

        start: start,

        end: end,

        allDay: allDay

   },


   );


   calendar.fullCalendar('unselect');

   },


   editable: true,

   eventDrop: function(event, delta) {

   var start = $.fullCalendar.formatDate(event.start, "Y-MM-DD HH:mm:ss");

   var end = $.fullCalendar.formatDate(event.end, "Y-MM-DD HH:mm:ss");

   $.ajax({

	   url: 'update_events.php',

	   data: 'patient='+ event.patient+'&start='+ start +'&end='+ end +'&id='+ event.id ,

	   type: "POST",

	   success: function(json) {

	    alert("Updated Successfully");

	   }

   });

   },

   eventClick: function(event) {

    element.click(function() {
    });


	$.ajax({

		type: "POST",

		url: "delete_event.php",

		data: "&id=" + event.id,

		 success: function(json) {

			 $('#calendar').fullCalendar('removeEvents', event.id);

			  alert("Updated Successfully");}

	});


  	},

   eventResize: function(event) {

	   var start = $.fullCalendar.formatDate(event.start, "yyyy-MM-dd HH:mm:ss");

	   var end = $.fullCalendar.formatDate(event.end, "yyyy-MM-dd HH:mm:ss");

	   $.ajax({

	    url: 'update_events.php',

	    data: 'patient='+ event.patient+'&start='+ start +'&end='+ end +'&id='+ event.id ,

	    type: "POST",

	    success: function(json) {

	     alert("Updated Successfully");

	    }

	   });

	}

   

  });

  

 });
